<Config>
    <ExpConfig id="0">
        <!-- 项目识别码 -->
        <productName>"Shadowcat2(Main)"</productName>

        <!-- 开启人脸检测 -->
        <faceDetect>true</faceDetect>
        <!-- 曝光参数限定：
            曝光时间，ISO,数字增益：adb shell dumpsys media.camera获取，可能和实际的不一致所以还是以具体为准。示例：
            android.sensor.info.exposureTimeRange (f0003): int64[2]
              [16534 400000000 ]
            android.sensor.info.sensitivityRange (f0001): int32[2]
              [100 1600 ]
            android.control.postRawSensitivityBoostRange (10027): int32[2]
              [100 3199 ]
        -->
        <maxExp>150000000</maxExp>
        <minExp>100000</minExp>
        <maxSensitity>3200</maxSensitity>
        <minSensitity>50</minSensitity>
        <maxDgain>120</maxDgain>
        <minDgain>100</minDgain>
        <evStep>8</evStep>>
        <useCalcuEv>true</useCalcuEv>

        <!-- smooth曝光策略
            "Ytarget":一幅画面的目标亮度，LOWLIGHT算法用，计算preview平均亮度，小于Ytarget把亮度提到Ytarget，大于Ytarget认为足够亮不需要提亮操作
            "lowLightMeanYthr":LOWLIGHT_HDR算法提亮用，低亮部分平均亮度的threshold，统计得出低亮的平均亮度
            "lowLighYtarget":LOWLIGHT_HDR算法提亮用，表示要把低亮的平均亮度提到此目标亮度，小于lowLighYtarget把亮度提到lowLighYtarget，大于lowLighYtarget认为足够亮不需要提亮操作
            "highLightMeanYthr":LOWLIGHT_HDR算法欠曝用，高亮部分平均亮度的threshold，统计得出高亮部分的平均亮度
            "highLighYtarget":LOWLIGHT_HDR算法欠曝用，表示要把高亮降到此目标亮度
        -->
        <Ytarget>95</Ytarget>
        <lowLightMeanYthr>80</lowLightMeanYthr>
        <lowLighYtarget>85</lowLighYtarget>
        <highLightMeanYthr>220</highLightMeanYthr>
        <highLighYtarget>60</highLighYtarget>

        <!--
            histHighLightLevel/histLowLightLevel定义预览直方图高亮/低亮，并计算出高亮和低亮的占比，根据这两个占比走不同的算法
            if (histHightlightPercent < histHightLightPercentAlgo && lowlightPercent > histLowLightPercentAlgo) {
                histAlgo = CaptureType.LOWLIGHT;
            } else if (histHightlight255Percent < histHightLight255PercentAlgo) {
                histAlgo = CaptureType.LOWLIGHT;
            } else if (mMeanHistY > Ytarget && histHightlight255Percent < highLight255RealPercentAlgo) {
                histAlgo = CaptureType.LOWLIGHT;
            } else {
                histAlgo = CaptureType.LOWLIGHT_HDR;
            }
        -->
        <histHighLightLevel>220</histHighLightLevel>
        <histLowLightLevel>70</histLowLightLevel>
        <histHightLightPercentAlgo>0.001</histHightLightPercentAlgo>
        <histLowLightPercentAlgo>0.90</histLowLightPercentAlgo>
        <histHightLight255PercentAlgo>0.0005</histHightLight255PercentAlgo>
        <highLight255Thr>251</highLight255Thr>
        <highLight255RealPercentAlgo>0.006</highLight255RealPercentAlgo>

        <!-- 曝光策略
            "HfpsBrightenTimes":高帧率场景基准提亮倍数
            "LfpsBrightenTimes":低帧率场景基准提亮倍数
            "minBrightenTimes":所有场景的最低提亮倍数
            "brighten_rate":提亮倍数变化的曲率，值越大，较亮场景提亮的倍数越小
            "darkenTimes": 欠曝的变暗基准倍数
            "darken_rate": 欠曝倍数的变化曲率，值越大，高光平均亮度低的场景欠曝倍数越小
            "ExpISO_ratio": 基础曝光时间和ISO的比例
            "darkenExpISO_ratio": 欠曝时，倍数用来减少曝光和ISO的比例，如0.8，则曝光时间欠曝0.8倍数，ISO欠曝0.2倍数
            "darkenMinISO":欠曝取图的最小ISO，区分于minSensitity，增加欠曝的可调空间
            "Lfps_HightlightThr": 高光占比阈值，用于避免高光多的场景提亮过大
            "Lfps_ExptimeThr": 判定高帧率和低帧率场景的曝光时间阈值
            "balanceISPExp": 是否需要平衡ISP gain和曝光时间的极限值补充
            "balanceISOExp": 是否需要平衡ISO和曝光时间的极限值补充
            "dGainReduce": dGain按固定比例缩减，但不小于minDgain
            "lowlightAdaptiveExpThredhold": Lowlight但高光占比超过该数值，采用曝光自适应
            "lowlightAdaptiveExpTimes": Lowlight自适应曝光最高提亮倍数
            "faceDarkTimes": 逆光场景人脸压暗参数
            "faceTarget": 后摄夜景人脸目标亮度
        -->
        <HfpsBrightenTimes>1.9</HfpsBrightenTimes>
        <LfpsBrightenTimes>1.58</LfpsBrightenTimes>
        <minBrightenTimes>1.36</minBrightenTimes>
        <brighten_rate>0.6</brighten_rate>
        <darkenTimes>2.2</darkenTimes>
        <darken_rate>0.6</darken_rate>
        <ExpISO_ratio>0.9</ExpISO_ratio>
        <darkenExpISO_ratio>0.2</darkenExpISO_ratio>
        <darkenMinISO>100</darkenMinISO>
        <Lfps_HightlightThr>0.045</Lfps_HightlightThr>
        <Lfps_ExptimeThr>35000000</Lfps_ExptimeThr>
        <balanceISPExp>true</balanceISPExp>
        <balanceISOExp>true</balanceISOExp>
        <dGainReduce>1</dGainReduce>
        <lowlightAdaptiveExpThredhold>-1</lowlightAdaptiveExpThredhold>
        <lowlightAdaptiveExpTimes>2</lowlightAdaptiveExpTimes>
        <faceDarkTimes>0.1</faceDarkTimes>
        <faceTarget>135</faceTarget>

    </ExpConfig>
    <!-- 夜景算法配置参数 -->
    <!-- iso分段: 从小往大搜索，当前iso<=iso velue时，使用该分段的参数 -->
    <!-- night_exposure_ev/night_exposure_ev_face:
        -100:该值不起作用，使用手动曝光night_exposure_time与night_exposure_iso
        100:该帧为跳帧，不作为算法输入
        useCalcuEv为true时的正值:将算法提亮倍数乘以该值，并转换为该帧的EV值
        useCalcuEv为true时的负值:将算法欠爆倍数乘以该值，并转换为该帧的EV值
        useCalcuEv为false时:以该值作为为EV值取帧 -->
    <!-- night_max_ev/night_max_ev_face: EV+最大EV值 -->
    <!-- night_min_ev/night_min_ev_face: EV-最小EV值 -->
    <!-- night_exposure_time/night_exposure_time_face:
        night_exposure_ev为-100时该项生效
        100:该帧为跳帧，不作为算法输入
        正值:将算法提亮帧曝光时间乘以该值，得到该帧的曝光时间
        负值:将算法欠爆帧曝光时间乘以该值，得到该帧的曝光时间 -->
    <!-- night_exposure_iso/night_exposure_iso_face:
        night_exposure_ev为-100时该项生效
        100:该帧为跳帧，不作为算法输入
        正值:将算法提亮帧ISO乘以该值，得到该帧的ISO
        负值:将算法欠爆帧ISO乘以该值，得到该帧的ISO -->
    <!-- night_lnrLevel/night_lnrLevel_face: chrom降噪强度，取值范围 1-10 -->
    <!-- night_nrLevel/night_nrLevel_face:  luma降噪强度，取值范围 1-10 -->
    <!-- night_tmoLevel/night_tmoLevel_face: 亮度等级，取值范围 1-10 -->
    <!-- night_ceLevel/night_ceLevel_face:  对比度强度，取值范围 0.0f-1.0f -->
    <!-- night_spLevel/night_spLevel_face:  锐化强度，取值范围 0.0f-1.0f -->
    <NightParam id="0">
        <night_iso value="200">
            <night_exposure_time>100;100;1;1;1;100;100;-1.2;100;100;-0.45</night_exposure_time>
            <night_exposure_iso>100;100;1.2;1.2;1.2;100;100;-1.2;100;100;-0.1</night_exposure_iso>
            <night_lnrLevel>0</night_lnrLevel>
            <night_nrLevel>0</night_nrLevel>
            <night_tmoLevel>0.2</night_tmoLevel>
            <night_ceLevel>0</night_ceLevel>
            <night_spLevel>0.2</night_spLevel>
            <night_deghostLevel>0.2</night_deghostLevel>
            <night_windowSize>3</night_windowSize>
            <night_exposure_time_face>100;100;1;1;1;100;100;-1.2;100;100;-0.45</night_exposure_time_face>
            <night_exposure_iso_face>100;100;1.2;1.2;1.2;100;100;-1.2;100;100;-0.1</night_exposure_iso_face>
            <night_lnrLevel_face>0</night_lnrLevel_face>
            <night_nrLevel_face>0</night_nrLevel_face>
            <night_tmoLevel_face>0.2</night_tmoLevel_face>
            <night_ceLevel_face>0</night_ceLevel_face>
            <night_spLevel_face>0.2</night_spLevel_face>
            <night_windowSize_face>3</night_windowSize_face>
        </night_iso>
        <night_iso value="350">
            <night_exposure_time>100;100;1;1;1;100;100;-1.1;100;100;-0.38</night_exposure_time>
            <night_exposure_iso>100;100;1.1;1.1;1.1;100;100;-1.1;100;100;-0.1</night_exposure_iso>
            <night_spLevel>0.3</night_spLevel>
            <night_exposure_time_face>100;100;1;1;1;100;100;-1.1;100;100;-0.32</night_exposure_time_face>
            <night_exposure_iso_face>100;100;1.1;1.1;1.1;100;100;-1.1;100;100;-0.1</night_exposure_iso_face>
            <night_spLevel_face>0.3</night_spLevel_face>
            <night_nrLevel>1</night_nrLevel>
            <night_nrLevel_face>1</night_nrLevel_face>
        </night_iso>
        <night_iso value="600">
            <night_exposure_time>100;1;1;1;101;100;-1.1;100;-0.32</night_exposure_time>
            <night_exposure_iso>100;1;1;1;101;100;-1;100;-0.1</night_exposure_iso>
            <night_spLevel>0.3</night_spLevel>
            <night_exposure_time_face>100;1;1;1;101;100;-1.1;100;-0.28</night_exposure_time_face>
            <night_exposure_iso_face>100;1;1;1;101;100;-1.1;100;-0.1</night_exposure_iso_face>
            <night_spLevel_face>0.3</night_spLevel_face>
            <night_nrLevel>1</night_nrLevel>
            <night_nrLevel_face>1</night_nrLevel_face>
        </night_iso>
        <night_iso value="800">
            <night_exposure_time>100;1;1;1;101;100;-1.1;100;-0.3</night_exposure_time>
            <night_exposure_iso>100;1;1;1;101;100;-1;100;-0.1</night_exposure_iso>
            <night_spLevel>0.3</night_spLevel>
            <night_exposure_time_face>100;1;1;1;101;100;-1.1;100;-0.30</night_exposure_time_face>
            <night_exposure_iso_face>100;1;1;1;101;100;-1.1;100;-0.1</night_exposure_iso_face>
            <night_spLevel_face>0.3</night_spLevel_face>
            <night_nrLevel>1</night_nrLevel>
            <night_nrLevel_face>1</night_nrLevel_face>
        </night_iso>
        <night_iso value="1200">
            <night_exposure_time>100;1;1;1;101;100;-1.1;100;-0.32</night_exposure_time>
            <night_exposure_iso>100;1;1;1;101;100;-1;100;-0.1</night_exposure_iso>
            <night_spLevel>0.3</night_spLevel>
            <night_exposure_time_face>100;1;1;1;101;100;-1.1;100;-0.32</night_exposure_time_face>
            <night_exposure_iso_face>100;1;1;1;101;100;-1.1;100;-0.1</night_exposure_iso_face>
            <night_spLevel_face>0.3</night_spLevel_face>
            <night_nrLevel>1</night_nrLevel>
            <night_nrLevel_face>1</night_nrLevel_face>
        </night_iso>
        <night_iso value="1500">
            <night_exposure_time>100;100;1;1;1;101;100;-1.1;100;-0.45</night_exposure_time>
            <night_exposure_iso>100;100;1;1;1;101;100;-1;100;-0.1</night_exposure_iso>
            <night_spLevel>0.3</night_spLevel>
            <night_exposure_time_face>100;1;1;1;101;100;-1.2;100;-0.65</night_exposure_time_face>
            <night_exposure_iso_face>100;1;1;1;101;100;-1;100;-0.1</night_exposure_iso_face>
            <night_spLevel_face>0.3</night_spLevel_face>
            <night_nrLevel>2</night_nrLevel>
            <night_nrLevel_face>2</night_nrLevel_face>
        </night_iso>
        <night_iso value="2400">
            <night_exposure_time>100;1;1;1;101;100;-1;100;-0.75</night_exposure_time>
            <night_exposure_iso>100;0.95;0.95;0.95;101;100;-1;100;-0.1</night_exposure_iso>
            <night_spLevel>0.3</night_spLevel>
            <night_exposure_time_face>100;100;1;1;1;101;100;-1.2;100;-0.85</night_exposure_time_face>
            <night_exposure_iso_face>100;100;0.95;0.95;0.95;101;100;-1;100;-0.1</night_exposure_iso_face>
            <night_spLevel_face>0.3</night_spLevel_face>
            <night_lnrLevel>1</night_lnrLevel>
            <night_lnrLevel_face>1</night_lnrLevel_face>
            <night_nrLevel>2</night_nrLevel>
            <night_nrLevel_face>2</night_nrLevel_face>
        </night_iso>
        <night_iso value="3100">
            <night_exposure_time>100;1;1;1;101;100;-1;100;-0.75</night_exposure_time>
            <night_exposure_iso>100;0.95;0.95;0.95;101;100;-1;100;-0.1</night_exposure_iso>
            <night_spLevel>0.2</night_spLevel>
            <night_exposure_time_face>100;1;1;1;101;100;-1.2;100;-0.75</night_exposure_time_face>
            <night_exposure_iso_face>100;0.95;0.95;0.95;101;100;-1;100;-0.1</night_exposure_iso_face>
            <night_spLevel_face>0.2</night_spLevel_face>
            <night_lnrLevel>1</night_lnrLevel>
            <night_lnrLevel_face>1</night_lnrLevel_face>
            <night_nrLevel>3</night_nrLevel>
            <night_nrLevel_face>3</night_nrLevel_face>
        </night_iso>
        <night_iso value="3400">
            <night_exposure_time>100;1;1;1;101;100;-1;100;-0.7</night_exposure_time>
            <night_exposure_iso>100;1;1;1;101;100;-1;100;-0.1</night_exposure_iso>
            <night_tmoLevel>4</night_tmoLevel>
            <night_exposure_time_face>100;1;1;1;101;100;-1.2;100;-0.7</night_exposure_time_face>
            <night_exposure_iso_face>100;1;1;1;101;100;-1;100;-0.1</night_exposure_iso_face>
            <night_tmoLevel_face>4</night_tmoLevel_face>
            <night_lnrLevel>1</night_lnrLevel>
            <night_lnrLevel_face>1</night_lnrLevel_face>
            <night_nrLevel>3</night_nrLevel>
            <night_nrLevel_face>3</night_nrLevel_face>
        </night_iso>
    </NightParam>
    <ExpConfig id="1">
        <!-- 项目识别码 -->
        <productName>"Shadowcat2(Front)"</productName>

        <!-- 开启人脸检测 -->
        <faceDetect>true</faceDetect>
        <!-- 曝光参数限定：
            曝光时间，ISO,数字增益：adb shell dumpsys media.camera获取，可能和实际的不一致所以还是以具体为准。示例：
            android.sensor.info.exposureTimeRange (f0003): int64[2]
              [16534 400000000 ]
            android.sensor.info.sensitivityRange (f0001): int32[2]
              [100 1600 ]
            android.control.postRawSensitivityBoostRange (10027): int32[2]
              [100 3199 ]
        -->
        <maxExp>180000000</maxExp>
        <minExp>100000</minExp>
        <maxSensitity>3200</maxSensitity>
        <minSensitity>50</minSensitity>
        <maxDgain>120</maxDgain>
        <minDgain>100</minDgain>
        <evStep>8</evStep>>
        <useCalcuEv>true</useCalcuEv>

        <!-- smooth曝光策略
            "Ytarget":一幅画面的目标亮度，LOWLIGHT算法用，计算preview平均亮度，小于Ytarget把亮度提到Ytarget，大于Ytarget认为足够亮不需要提亮操作
            "lowLightMeanYthr":LOWLIGHT_HDR算法提亮用，低亮部分平均亮度的threshold，统计得出低亮的平均亮度
            "lowLighYtarget":LOWLIGHT_HDR算法提亮用，表示要把低亮的平均亮度提到此目标亮度，小于lowLighYtarget把亮度提到lowLighYtarget，大于lowLighYtarget认为足够亮不需要提亮操作
            "highLightMeanYthr":LOWLIGHT_HDR算法欠曝用，高亮部分平均亮度的threshold，统计得出高亮部分的平均亮度
            "highLighYtarget":LOWLIGHT_HDR算法欠曝用，表示要把高亮降到此目标亮度
        -->
        <Ytarget>135</Ytarget>
        <lowLightMeanYthr>80</lowLightMeanYthr>
        <lowLighYtarget>140</lowLighYtarget>
        <highLightMeanYthr>220</highLightMeanYthr>
        <highLighYtarget>60</highLighYtarget>

        <!--
            histHighLightLevel/histLowLightLevel定义预览直方图高亮/低亮，并计算出高亮和低亮的占比，根据这两个占比走不同的算法
            if (histHightlightPercent < histHightLightPercentAlgo && lowlightPercent > histLowLightPercentAlgo) {
                histAlgo = CaptureType.LOWLIGHT;
            } else if (histHightlight255Percent < histHightLight255PercentAlgo) {
                histAlgo = CaptureType.LOWLIGHT;
            } else if (mMeanHistY > Ytarget && histHightlight255Percent < highLight255RealPercentAlgo) {
                histAlgo = CaptureType.LOWLIGHT;
            } else {
                histAlgo = CaptureType.LOWLIGHT_HDR;
            }
        -->
        <histHighLightLevel>220</histHighLightLevel>
        <histLowLightLevel>70</histLowLightLevel>
        <histHightLightPercentAlgo>0.001</histHightLightPercentAlgo>
        <histLowLightPercentAlgo>0.90</histLowLightPercentAlgo>
        <histHightLight255PercentAlgo>0.0005</histHightLight255PercentAlgo>
        <highLight255Thr>251</highLight255Thr>
        <highLight255RealPercentAlgo>0.006</highLight255RealPercentAlgo>

        <!-- 曝光策略
            "HfpsBrightenTimes":高帧率场景基准提亮倍数
            "LfpsBrightenTimes":低帧率场景基准提亮倍数
            "minBrightenTimes":所有场景的最低提亮倍数
            "brighten_rate":提亮倍数变化的曲率，值越大，较亮场景提亮的倍数越小
            "darkenTimes": 欠曝的变暗基准倍数
            "darken_rate": 欠曝倍数的变化曲率，值越大，高光平均亮度低的场景欠曝倍数越小
            "ExpISO_ratio": 基础曝光时间和ISO的比例
            "darkenExpISO_ratio": 欠曝时，倍数用来减少曝光和ISO的比例，如0.8，则曝光时间欠曝0.8倍数，ISO欠曝0.2倍数
            "darkenMinISO":欠曝取图的最小ISO，区分于minSensitity，增加欠曝的可调空间
            "Lfps_HightlightThr": 高光占比阈值，用于避免高光多的场景提亮过大
            "Lfps_ExptimeThr": 判定高帧率和低帧率场景的曝光时间阈值
            "balanceISPExp": 是否需要平衡ISP gain和曝光时间的极限值补充
            "balanceISOExp": 是否需要平衡ISO和曝光时间的极限值补充
            "dGainReduce": dGain按固定比例缩减，但不小于minDgain
            "lowlightAdaptiveExpThredhold": Lowlight但高光占比超过该数值，采用曝光自适应
            "lowlightAdaptiveExpTimes": Lowlight自适应曝光最高提亮倍数
            "faceDarkTimes": 逆光场景人脸压暗参数
            "faceTarget": 后摄夜景人脸目标亮度
        -->
        <HfpsBrightenTimes>2.05</HfpsBrightenTimes>
        <LfpsBrightenTimes>2.05</LfpsBrightenTimes>
        <minBrightenTimes>1.15</minBrightenTimes>
        <brighten_rate>1.1</brighten_rate>
        <darkenTimes>2</darkenTimes>
        <darken_rate>0.8</darken_rate>
        <ExpISO_ratio>1.2</ExpISO_ratio>
        <darkenExpISO_ratio>0.2</darkenExpISO_ratio>
        <darkenMinISO>100</darkenMinISO>
        <Lfps_HightlightThr>0.035</Lfps_HightlightThr>
        <Lfps_ExptimeThr>35000000</Lfps_ExptimeThr>
        <balanceISPExp>true</balanceISPExp>
        <balanceISOExp>true</balanceISOExp>
        <dGainReduce>1</dGainReduce>
        <lowlightAdaptiveExpThredhold>-1</lowlightAdaptiveExpThredhold>
        <lowlightAdaptiveExpTimes>2</lowlightAdaptiveExpTimes>
        <faceDarkTimes>0.2</faceDarkTimes>
        <faceTarget>140</faceTarget>

    </ExpConfig>
    <!-- 夜景算法配置参数 -->
    <!-- iso分段: 从小往大搜索，当前iso<=iso velue时，使用该分段的参数 -->
    <!-- night_exposure_ev/night_exposure_ev_face:
        -100:该值不起作用，使用手动曝光night_exposure_time与night_exposure_iso
        100:该帧为跳帧，不作为算法输入
        useCalcuEv为true时的正值:将算法提亮倍数乘以该值，并转换为该帧的EV值
        useCalcuEv为true时的负值:将算法欠爆倍数乘以该值，并转换为该帧的EV值
        useCalcuEv为false时:以该值作为为EV值取帧 -->
    <!-- night_max_ev/night_max_ev_face: EV+最大EV值 -->
    <!-- night_min_ev/night_min_ev_face: EV-最小EV值 -->
    <!-- night_exposure_time/night_exposure_time_face:
        night_exposure_ev为-100时该项生效
        100:该帧为跳帧，不作为算法输入
        正值:将算法提亮帧曝光时间乘以该值，得到该帧的曝光时间
        负值:将算法欠爆帧曝光时间乘以该值，得到该帧的曝光时间 -->
    <!-- night_exposure_iso/night_exposure_iso_face:
        night_exposure_ev为-100时该项生效
        100:该帧为跳帧，不作为算法输入
        正值:将算法提亮帧ISO乘以该值，得到该帧的ISO
        负值:将算法欠爆帧ISO乘以该值，得到该帧的ISO -->
    <!-- night_lnrLevel/night_lnrLevel_face: chrom降噪强度，取值范围 1-10 -->
    <!-- night_nrLevel/night_nrLevel_face:  luma降噪强度，取值范围 1-10 -->
    <!-- night_tmoLevel/night_tmoLevel_face: 亮度等级，取值范围 1-10 -->
    <!-- night_ceLevel/night_ceLevel_face:  对比度强度，取值范围 0.0f-1.0f -->
    <!-- night_spLevel/night_spLevel_face:  锐化强度，取值范围 0.0f-1.0f -->
    <!-- night_windowSize/night_windowSize_face: 对齐窗口大小，取值范围 3-11，默认值3 -->
    <!-- night_deghostLevel/night_deghostLevel_face:  去鬼影强度，取值范围 0.0f-1.0f，默认值0.1 -->
    <NightParam id="1">
        <night_iso value="200">
            <night_exposure_time>100;-0.2;100;-1.2;-1.2;100;1;1;1</night_exposure_time>
            <night_exposure_iso>100;-0.1;100;-1.25;-1.25;100;1;1;1</night_exposure_iso>
            <night_lnrLevel>0</night_lnrLevel>
            <night_nrLevel>0</night_nrLevel>
            <night_tmoLevel>5</night_tmoLevel>
            <night_ceLevel>0</night_ceLevel>
            <night_spLevel>0.5</night_spLevel>
            <night_deghostLevel>0.2</night_deghostLevel>
            <night_windowSize>3</night_windowSize>
            <night_exposure_time_face>100;-0.2;100;-1.2;-1.2;100;1;1;1</night_exposure_time_face>
            <night_exposure_iso_face>100;-0.1;100;-1.25;-1.25;100;1;1;1</night_exposure_iso_face>
            <night_lnrLevel_face>0</night_lnrLevel_face>
            <night_nrLevel_face>0</night_nrLevel_face>
            <night_tmoLevel_face>5</night_tmoLevel_face>
            <night_ceLevel_face>0</night_ceLevel_face>
            <night_spLevel_face>0.5</night_spLevel_face>
            <night_windowSize_face>3</night_windowSize_face>
            <night_nrLevel>1</night_nrLevel>
            <night_nrLevel_face>1</night_nrLevel_face>
        </night_iso>
        <night_iso value="400">
            <night_exposure_time>100;-0.28;100;-1.1;-1.1;100;1;1;1</night_exposure_time>
            <night_exposure_iso>100;-0.1;100;-1.2;-1.2;100;1;1;1</night_exposure_iso>
            <night_tmoLevel>5</night_tmoLevel>
            <night_spLevel>0.5</night_spLevel>
            <night_exposure_time_face>100;-0.28;100;-1.1;-1.1;100;1;1;1</night_exposure_time_face>
            <night_exposure_iso_face>100;-0.1;100;-1.2;-1.2;100;1;1;1</night_exposure_iso_face>
            <night_tmoLevel_face>5</night_tmoLevel_face>
            <night_spLevel_face>0.5</night_spLevel_face>
            <night_nrLevel>1</night_nrLevel>
            <night_nrLevel_face>1</night_nrLevel_face>
        </night_iso>
        <night_iso value="600">
            <night_exposure_time>100;-0.28;100;-1.1;-1.1;100;1;1;1</night_exposure_time>
            <night_exposure_iso>100;-0.1;100;-1.1;-1.1;100;1;1;1</night_exposure_iso>
            <night_tmoLevel>5</night_tmoLevel>
            <night_spLevel>0.5</night_spLevel>
            <night_exposure_time_face>100;-0.28;100;-1.1;-1.1;100;1;1;1</night_exposure_time_face>
            <night_exposure_iso_face>100;-0.1;100;-1.1;-1.1;100;1;1;1</night_exposure_iso_face>
            <night_tmoLevel_face>5</night_tmoLevel_face>
            <night_spLevel_face>0.5</night_spLevel_face>
            <night_nrLevel>1</night_nrLevel>
            <night_nrLevel_face>1</night_nrLevel_face>
        </night_iso>
        <night_iso value="800">
            <night_exposure_time>100;-0.28;100;-1;-1;100;1;1;1</night_exposure_time>
            <night_exposure_iso>100;-0.1;100;-1;-1;100;1;1;1</night_exposure_iso>
            <night_tmoLevel>5</night_tmoLevel>
            <night_spLevel>0.5</night_spLevel>
            <night_exposure_time_face>100;-0.28;100;-1;-1;100;1;1;1</night_exposure_time_face>
            <night_exposure_iso_face>100;-0.1;100;-1;-1;100;1;1;1</night_exposure_iso_face>
            <night_tmoLevel_face>4</night_tmoLevel_face>
            <night_spLevel_face>0.5</night_spLevel_face>
            <night_lnrLevel>1</night_lnrLevel>
            <night_lnrLevel_face>1</night_lnrLevel_face>
            <night_nrLevel>2</night_nrLevel>
            <night_nrLevel_face>2</night_nrLevel_face>
        </night_iso>
        <night_iso value="1300">
            <night_exposure_time>100;-0.35;100;-1;-1;100;1;1;1</night_exposure_time>
            <night_exposure_iso>100;-0.1;100;-1.15;-1.15;100;1;1;1</night_exposure_iso>
            <night_tmoLevel>5</night_tmoLevel>
            <night_spLevel>0.5</night_spLevel>
            <night_exposure_time_face>100;-0.35;100;-1;-1;100;1;1;1</night_exposure_time_face>
            <night_exposure_iso_face>100;-0.1;100;-1.15;-1.15;100;1;1;1</night_exposure_iso_face>
            <night_tmoLevel_face>4</night_tmoLevel_face>
            <night_spLevel_face>0.5</night_spLevel_face>
            <night_lnrLevel>1</night_lnrLevel>
            <night_lnrLevel_face>1</night_lnrLevel_face>
            <night_nrLevel>2</night_nrLevel>
            <night_nrLevel_face>2</night_nrLevel_face>
        </night_iso>
        <night_iso value="1900">
            <night_exposure_time>100;-0.38;100;-1.1;-1.1;100;1;1;1</night_exposure_time>
            <night_exposure_iso>100;-0.1;100;-1.15;-1.15;100;1;1;1</night_exposure_iso>
            <night_tmoLevel>5</night_tmoLevel>
            <night_spLevel>0.5</night_spLevel>
            <night_exposure_time_face>100;100;-0.38;100;-1.1;-1.1;100;1;1;1</night_exposure_time_face>
            <night_exposure_iso_face>100;100;-0.1;100;-1.18;-1.18;100;1;1;1</night_exposure_iso_face>
            <night_tmoLevel_face>5</night_tmoLevel_face>
            <night_spLevel_face>0.5</night_spLevel_face>
            <night_lnrLevel>1</night_lnrLevel>
            <night_lnrLevel_face>1</night_lnrLevel_face>
            <night_nrLevel>2</night_nrLevel>
            <night_nrLevel_face>2</night_nrLevel_face>
        </night_iso>
        <night_iso value="2400">
            <night_exposure_time>100;-0.43;100;-1.1;-1.1;100;1;1;1</night_exposure_time>
            <night_exposure_iso>100;-0.1;100;-1.15;-1.15;100;1;1;1</night_exposure_iso>
            <night_tmoLevel>5</night_tmoLevel>
            <night_spLevel>0.5</night_spLevel>
            <night_exposure_time_face>100;-0.43;100;-1.1;-1.1;100;1;1;1</night_exposure_time_face>
            <night_exposure_iso_face>100;-0.1;100;-1.18;-1.18;100;1;1;1</night_exposure_iso_face>
            <night_tmoLevel_face>5</night_tmoLevel_face>
            <night_spLevel_face>0.5</night_spLevel_face>
            <night_lnrLevel>1</night_lnrLevel>
            <night_lnrLevel_face>1</night_lnrLevel_face>
            <night_nrLevel>3</night_nrLevel>
            <night_nrLevel_face>3</night_nrLevel_face>
        </night_iso>
        <night_iso value="3000">
            <night_exposure_time>100;-0.66;100;-1;100;1;1;1</night_exposure_time>
            <night_exposure_iso>100;-0.1;100;-1;100;1;1;1</night_exposure_iso>
            <night_tmoLevel>4</night_tmoLevel>
            <night_spLevel>0.4</night_spLevel>
            <night_exposure_time_face>100;-0.66;100;-1;100;1;1;1</night_exposure_time_face>
            <night_exposure_iso_face>100;-0.1;100;-1;100;1;1;1</night_exposure_iso_face>
            <night_tmoLevel_face>4</night_tmoLevel_face>
            <night_spLevel_face>0.4</night_spLevel_face>
            <night_lnrLevel>1</night_lnrLevel>
            <night_lnrLevel_face>1</night_lnrLevel_face>
            <night_nrLevel>3</night_nrLevel>
            <night_nrLevel_face>3</night_nrLevel_face>
        </night_iso>
        <night_iso value="3400">
            <night_exposure_time>100;-0.72;100;-1;100;1;1;1</night_exposure_time>
            <night_exposure_iso>100;-0.1;100;-1;100;1;1;1</night_exposure_iso>
            <night_tmoLevel>5</night_tmoLevel>
            <night_spLevel>0.4</night_spLevel>
            <night_exposure_time_face>100;-0.72;100;-1;100;1;1;1</night_exposure_time_face>
            <night_exposure_iso_face>100;-0.1;100;-1;100;1;1;1</night_exposure_iso_face>
            <night_tmoLevel_face>5</night_tmoLevel_face>
            <night_spLevel_face>0.4</night_spLevel_face>
            <night_lnrLevel>1</night_lnrLevel>
            <night_lnrLevel_face>1</night_lnrLevel_face>
            <night_nrLevel>4</night_nrLevel>
            <night_nrLevel_face>4</night_nrLevel_face>
        </night_iso>
    </NightParam>
</Config>